#!/usr/bin/python
# coding=utf-8
# -*- encoding: utf-8 -*-

import sys
import argparse

mk_table = {

	'<abbr>' : '<abbr>',
	'<adj><f><sg><nom><def>' : '<adj>',
	'<adj><f><sg><nom><def><@→N>' : '<adj>',
	'<adj><f><sg><nom><def><@←SPRED>' : '<adj>',
	'<adj><f><sg><nom><dst>' : '<adj>',
	'<adj><f><sg><nom><ind>' : '<adj>',
	'<adj><f><sg><nom><ind><@→N>' : '<adj>',
	'<adj><f><sg><nom><ind><@←SPRED>' : '<adj>',
	'<adj><f><sg><nom><prx>' : '<adj>',
	'<adj><f><sg><nom><prx><@→N>' : '<adj>',
	'<adj><f><sg><nom><prx><@←SPRED>' : '<adj>',
	'<adj><mfn><pl><nom><def>' : '<adj>',
	'<adj><mfn><pl><nom><def><@→N>' : '<adj>',
	'<adj><mfn><pl><nom><def><@←SPRED>' : '<adj>',
	'<adj><mfn><pl><nom><dst>' : '<adj>',
	'<adj><mfn><pl><nom><dst><@→N>' : '<adj>',
	'<adj><mfn><pl><nom><dst><@←SPRED>' : '<adj>',
	'<adj><mfn><pl><nom><ind>' : '<adj>',
	'<adj><mfn><pl><nom><ind><@→N>' : '<adj>',
	'<adj><mfn><pl><nom><ind><@←SPRED>' : '<adj>',
	'<adj><mfn><pl><nom><prx>' : '<adj>',
	'<adj><mfn><pl><nom><prx><@→N>' : '<adj>',
	'<adj><mfn><pl><nom><prx><@←SPRED>' : '<adj>',
	'<adj><m><sg><nom><def>' : '<adj>',
	'<adj><m><sg><nom><def><@→N>' : '<adj>',
	'<adj><m><sg><nom><def><@←SPRED>' : '<adj>',
	'<adj><m><sg><nom><ind>' : '<adj>',
	'<adj><m><sg><nom><ind><@→N>' : '<adj>',
	'<adj><m><sg><nom><ind><@←SPRED>' : '<adj>',
	'<adj><m><sg><nom><prx>' : '<adj>',
	'<adj><m><sg><nom><prx><@→N>' : '<adj>',
	'<adj><nt><sg><nom><def>' : '<adj>',
	'<adj><nt><sg><nom><def><@→N>' : '<adj>',
	'<adj><nt><sg><nom><def><@←SPRED>' : '<adj>',
	'<adj><nt><sg><nom><ind>' : '<adj>',
	'<adj><nt><sg><nom><ind><@→N>' : '<adj>',
	'<adj><nt><sg><nom><ind><@←SPRED>' : '<adj>',
	'<adj><nt><sg><nom><prx>' : '<adj>',
	'<adj><nt><sg><nom><prx><@→N>' : '<adj>',
	'<adv>' : '<adv>',
	'<apos>' : '<apos>',
	'<cm>' : '<cm>',
	'<cnjcoo>' : '<cnjcoo>',
	'<cnjsub>' : '<cnjsub>',
	'<guio>' : '<guio>',
	'<ij><@INTERJ>' : '<ij>',
	'<lpar>' : '<lpar>',
	'<n><f><pl><nom><def>' : '<n>',
	'<n><f><pl><nom><def><@P←>' : '<n>',
	'<n><f><pl><nom><def><@←SPRED>' : '<n>',
	'<n><f><pl><nom><def><@SUBJ→>' : '<n>',
	'<n><f><pl><nom><dst>' : '<n>',
	'<n><f><pl><nom><ind>' : '<n>',
	'<n><f><pl><nom><ind><@P←>' : '<n>',
	'<n><f><pl><nom><ind><@←SPRED>' : '<n>',
	'<n><f><pl><nom><ind><@SUBJ→>' : '<n>',
	'<n><f><sg><nom><def>' : '<n>',
	'<n><f><sg><nom><def><@P←>' : '<n>',
	'<n><f><sg><nom><def><@←SPRED>' : '<n>',
	'<n><f><sg><nom><def><@SUBJ→>' : '<n>',
	'<n><f><sg><nom><dst>' : '<n>',
	'<n><f><sg><nom><dst><@P←>' : '<n>',
	'<n><f><sg><nom><dst><@←SPRED>' : '<n>',
	'<n><f><sg><nom><dst><@SUBJ→>' : '<n>',
	'<n><f><sg><nom><ind>' : '<n>',
	'<n><f><sg><nom><ind><@P←>' : '<n>',
	'<n><f><sg><nom><ind><@←SPRED>' : '<n>',
	'<n><f><sg><nom><ind><@SUBJ→>' : '<n>',
	'<n><f><sg><nom><prx>' : '<n>',
	'<n><f><sg><nom><prx><@P←>' : '<n>',
	'<n><f><sg><nom><prx><@←SPRED>' : '<n>',
	'<n><f><sg><nom><prx><@SUBJ→>' : '<n>',
	'<n><mfn><pl><nom><def>' : '<n>',
	'<n><mfn><pl><nom><def><@P←>' : '<n>',
	'<n><mfn><pl><nom><def><@←SPRED>' : '<n>',
	'<n><mfn><pl><nom><def><@SUBJ→>' : '<n>',
	'<n><mfn><pl><nom><ind>' : '<n>',
	'<n><mfn><pl><nom><ind><@P←>' : '<n>',
	'<n><mfn><pl><nom><ind><@←SPRED>' : '<n>',
	'<n><mfn><pl><nom><ind><@SUBJ→>' : '<n>',
	'<n><m><pl><nom><def>' : '<n>',
	'<n><m><pl><nom><def><@P←>' : '<n>',
	'<n><m><pl><nom><def><@←SPRED>' : '<n>',
	'<n><m><pl><nom><def><@SUBJ→>' : '<n>',
	'<n><m><pl><nom><ind>' : '<n>',
	'<n><m><pl><nom><ind><@P←>' : '<n>',
	'<n><m><pl><nom><ind><@←SPRED>' : '<n>',
	'<n><m><pl><nom><ind><@SUBJ→>' : '<n>',
	'<n><m><pl><nom><prx>' : '<n>',
	'<n><m><sg><nom><def>' : '<n>',
	'<n><m><sg><nom><def><@P←>' : '<n>',
	'<n><m><sg><nom><def><@←SPRED>' : '<n>',
	'<n><m><sg><nom><def><@SUBJ→>' : '<n>',
	'<n><m><sg><nom><dst>' : '<n>',
	'<n><m><sg><nom><ind>' : '<n>',
	'<n><m><sg><nom><ind><@P←>' : '<n>',
	'<n><m><sg><nom><ind><@←SPRED>' : '<n>',
	'<n><m><sg><nom><ind><@SUBJ→>' : '<n>',
	'<n><m><sg><nom><prx>' : '<n>',
	'<n><m><sg><nom><prx><@P←>' : '<n>',
	'<n><m><sg><nom><prx><@←SPRED>' : '<n>',
	'<n><m><sg><nom><prx><@SUBJ→>' : '<n>',
	'<n><nt><pl><nom><def>' : '<n>',
	'<n><nt><pl><nom><def><@P←>' : '<n>',
	'<n><nt><pl><nom><def><@←SPRED>' : '<n>',
	'<n><nt><pl><nom><def><@SUBJ→>' : '<n>',
	'<n><nt><pl><nom><ind>' : '<n>',
	'<n><nt><pl><nom><ind><@P←>' : '<n>',
	'<n><nt><pl><nom><ind><@←SPRED>' : '<n>',
	'<n><nt><pl><nom><ind><@SUBJ→>' : '<n>',
	'<n><nt><sg><nom><def>' : '<n>',
	'<n><nt><sg><nom><def><@P←>' : '<n>',
	'<n><nt><sg><nom><def><@←SPRED>' : '<n>',
	'<n><nt><sg><nom><def><@SUBJ→>' : '<n>',
	'<n><nt><sg><nom><dst>' : '<n>',
	'<n><nt><sg><nom><ind>' : '<n>',
	'<n><nt><sg><nom><ind><@P←>' : '<n>',
	'<n><nt><sg><nom><ind><@←SPRED>' : '<n>',
	'<n><nt><sg><nom><ind><@SUBJ→>' : '<n>',
	'<n><nt><sg><nom><prx>' : '<n>',
	'<n><nt><sg><nom><prx><@P←>' : '<n>',
	'<np><al><f><sg><nom>' : '<np><al>',
	'<np><al><mfn><sg><nom>' : '<np><al>',
	'<np><ant><f><sg><nom>' : '<np><ant>',
	'<np><ant><f><sg><voc>' : '<np><ant>',
	'<np><ant><m><sg><nom>' : '<np><ant>',
	'<np><cog><f><sg><nom>' : '<np><cog>',
	'<np><cog><mfn><sg><nom>' : '<np><cog>',
	'<np><cog><m><sg><nom>' : '<np><cog>',
	'<np><top><f><sg><nom>' : '<np><top>',
	'<np><top><m><sg><nom>' : '<np><top>',
	'<np><top><nt><sg><nom>' : '<np><top>',
	'<num>' : '<num>',
	'<num><time>' : '<num><time>',
	'<num><f><nom><def>' : '<num>',
	'<num><f><nom><def><@→N>' : '<num>',
	'<num><f><nom><ind>' : '<num>',
	'<num><f><nom><ind><@→N>' : '<num>',
	'<num><f><sg><nom><def>' : '<num>',
	'<num><f><sg><nom><def><@→N>' : '<num>',
	'<num><f><sg><nom><ind>' : '<num>',
	'<num><f><sg><nom><ind><@→N>' : '<num>',
	'<num><f><sg><nom><prx>' : '<num>',
	'<num><ma><nom><def>' : '<num>',
	'<num><ma><nom><def><@→N>' : '<num>',
	'<num><ma><nom><ind>' : '<num>',
	'<num><ma><nom><ind><@→N>' : '<num>',
	'<num><mfn><apprx><nom><def><@→N>' : '<num>',
	'<num><mfn><apprx><nom><ind>' : '<num>',
	'<num><mfn><apprx><nom><ind><@→N>' : '<num>',
	'<num><mfn><nom><def>' : '<num>',
	'<num><mfn><nom><def><@→N>' : '<num>',
	'<num><mfn><nom><ind>' : '<num>',
	'<num><mfn><nom><ind><@→N>' : '<num>',
	'<num><mfn><pl><nom><def>' : '<num>',
	'<num><mfn><pl><nom><def><@→N>' : '<num>',
	'<num><mfn><pl><nom><ind>' : '<num>',
	'<num><mfn><pl><nom><ind><@→N>' : '<num>',
	'<num><mfn><pl><nom><prx>' : '<num>',
	'<num><mfn><sg><nom><def>' : '<num>',
	'<num><mfn><sg><nom><def><@→N>' : '<num>',
	'<num><mfn><sg><nom><ind>' : '<num>',
	'<num><mfn><sg><nom><ind><@→N>' : '<num>',
	'<num><mfn><sp><nom><ind>' : '<num>',
	'<num><mfn><sp><nom><ind><@→N>' : '<num>',
	'<num><m><nom><def>' : '<num>',
	'<num><m><nom><def><@→N>' : '<num>',
	'<num><m><nom><ind>' : '<num>',
	'<num><m><nom><ind><@→N>' : '<num>',
	'<num><m><sg><nom><def>' : '<num>',
	'<num><m><sg><nom><def><@→N>' : '<num>',
	'<num><m><sg><nom><ind>' : '<num>',
	'<num><m><sg><nom><ind><@→N>' : '<num>',
	'<num><@→N>' : '<num>',
	'<num><nt><sg><nom><def>' : '<num>',
	'<num><nt><sg><nom><def><@→N>' : '<num>',
	'<num><nt><sg><nom><ind>' : '<num>',
	'<num><nt><sg><nom><ind><@→N>' : '<num>',
	'<num><nt><sg><nom><prx>' : '<num>',
	'<num><nt><sg><nom><prx><@→N>' : '<num>',
	'<num><ord><f><sg><nom><def>' : '<num>',
	'<num><ord><f><sg><nom><def><@→N>' : '<num>',
	'<num><ord><f><sg><nom><ind>' : '<num>',
	'<num><ord><f><sg><nom><ind><@→N>' : '<num>',
	'<num><ord><mfn><pl><nom><def>' : '<num>',
	'<num><ord><mfn><pl><nom><def><@→N>' : '<num>',
	'<num><ord><m><sg><nom><def>' : '<num>',
	'<num><ord><m><sg><nom><def><@→N>' : '<num>',
	'<num><ord><m><sg><nom><ind>' : '<num>',
	'<num><ord><m><sg><nom><ind><@→N>' : '<num>',
	'<num><ord><nt><sg><nom><def>' : '<num>',
	'<num><ord><nt><sg><nom><def><@→N>' : '<num>',
	'<num><ord><nt><sg><nom><ind>' : '<num>',
	'<num><ord><nt><sg><nom><ind><@→N>' : '<num>',
	'<part>' : '<part>',
	'<part><exp>' : '<part>',
	'<pr>' : '<pr>',
	'<pref><comp>' : '<pref>',
	'<pref><sup>' : '<pref>',
	'<prn><dem><f><sg><def><@P←>' : '<prn><dem>',
	'<prn><dem><f><sg><def><@X>' : '<prn><dem>',
	'<prn><dem><f><sg><ind><@P←>' : '<prn><dem>',
	'<prn><dem><f><sg><ind><@X>' : '<prn><dem>',
	'<prn><dem><f><sg><@P←>' : '<prn><dem>',
	'<prn><dem><f><sg><@X>' : '<prn><dem>',
	'<prn><dem><mfn><pl><def><@P←>' : '<prn><dem>',
	'<prn><dem><mfn><pl><def><@X>' : '<prn><dem>',
	'<prn><dem><mfn><pl><ind><@P←>' : '<prn><dem>',
	'<prn><dem><mfn><pl><ind><@X>' : '<prn><dem>',
	'<prn><dem><mfn><pl><@P←>' : '<prn><dem>',
	'<prn><dem><mfn><pl><@X>' : '<prn><dem>',
	'<prn><dem><m><sg><ind><@P←>' : '<prn><dem>',
	'<prn><dem><m><sg><ind><@X>' : '<prn><dem>',
	'<prn><dem><m><sg><@P←>' : '<prn><dem>',
	'<prn><dem><m><sg><@X>' : '<prn><dem>',
	'<prn><dem><nt><sg><def><@P←>' : '<prn><dem>',
	'<prn><dem><nt><sg><def><@X>' : '<prn><dem>',
	'<prn><dem><nt><sg><ind><@P←>' : '<prn><dem>',
	'<prn><dem><nt><sg><ind><@X>' : '<prn><dem>',
	'<prn><dem><nt><sg><@P←>' : '<prn><dem>',
	'<prn><dem><nt><sg><@X>' : '<prn><dem>',
	'<prn><ind><f><sg>' : '<prn><ind>',
	'<prn><ind><f><sg><gen>' : '<prn><ind>',
	'<prn><ind><f><sg><nom>' : '<prn><ind>',
	'<prn><ind><ind>' : '<prn><ind>',
	'<prn><ind><mfn><pl>' : '<prn><ind>',
	'<prn><ind><mfn><pl><gen>' : '<prn><ind>',
	'<prn><ind><mfn><pl><nom>' : '<prn><ind>',
	'<prn><ind><m><sg>' : '<prn><ind>',
	'<prn><ind><m><sg><acc>' : '<prn><ind>',
	'<prn><ind><m><sg><dat>' : '<prn><ind>',
	'<prn><ind><m><sg><nom>' : '<prn><ind>',
	'<prn><ind><nt><sg>' : '<prn><ind>',
	'<prn><ind><nt><sg><nom>' : '<prn><ind>',
	'<prn><itg>' : '<prn><itg>',
	'<prn><itg><f><sg>' : '<prn><itg>',
	'<prn><itg><f><sg><nom>' : '<prn><itg>',
	'<prn><itg><mfn><pl>' : '<prn><itg>',
	'<prn><itg><mfn><pl><nom>' : '<prn><itg>',
	'<prn><itg><m><sg>' : '<prn><itg>',
	'<prn><itg><m><sg><nom>' : '<prn><itg>',
	'<prn><itg><nt><sg>' : '<prn><itg>',
	'<prn><itg><nt><sg><nom>' : '<prn><itg>',
	'<prn><neg>' : '<prn><neg>',
	'<prn><neg><f><sg>' : '<prn><neg>',
	'<prn><neg><f><sg><gen>' : '<prn><neg>',
	'<prn><neg><f><sg><nom>' : '<prn><neg>',
	'<prn><neg><mfn><pl>' : '<prn><neg>',
	'<prn><neg><mfn><pl><gen>' : '<prn><neg>',
	'<prn><neg><mfn><pl><nom>' : '<prn><neg>',
	'<prn><neg><m><sg>' : '<prn><neg>',
	'<prn><neg><m><sg><acc>' : '<prn><neg>',
	'<prn><neg><m><sg><dat>' : '<prn><neg>',
	'<prn><neg><m><sg><gen>' : '<prn><neg>',
	'<prn><neg><m><sg><nom>' : '<prn><neg>',
	'<prn><neg><nt><sg>' : '<prn><neg>',
	'<prn><pers><clt><p1><mfn><sg><acc><@X>' : '<prn><pers>',
	'<prn><pers><clt><p2><mfn><pl><acc><@X>' : '<prn><pers>',
	'<prn><pers><clt><p2><mfn><sg><acc><@X>' : '<prn><pers>',
	'<prn><pers><clt><p3><f><sg><acc><@X>' : '<prn><pers>',
	'<prn><pers><clt><p3><mfn><pl><acc><@X>' : '<prn><pers>',
	'<prn><pers><clt><p3><m><sg><acc><@X>' : '<prn><pers>',
	'<prn><pers><p1><mfn><pl><acc><@X>' : '<prn><pers>',
	'<prn><pers><p1><mfn><pl><dat><@X>' : '<prn><pers>',
	'<prn><pers><p1><mfn><pl><nom><@←SUBJ>' : '<prn><pers>',
	'<prn><pers><p1><mfn><pl><nom><@SUBJ→>' : '<prn><pers>',
	'<prn><pers><p1><mfn><pl><nom><@X>' : '<prn><pers>',
	'<prn><pers><p1><mfn><sg><acc><@X>' : '<prn><pers>',
	'<prn><pers><p1><mfn><sg><nom><@←SUBJ>' : '<prn><pers>',
	'<prn><pers><p1><mfn><sg><nom><@SUBJ→>' : '<prn><pers>',
	'<prn><pers><p1><mfn><sg><nom><@X>' : '<prn><pers>',
	'<prn><pers><p2><mfn><pl><acc><@X>' : '<prn><pers>',
	'<prn><pers><p2><mfn><pl><dat><@X>' : '<prn><pers>',
	'<prn><pers><p2><mfn><pl><nom><@←SUBJ>' : '<prn><pers>',
	'<prn><pers><p2><mfn><pl><nom><@SUBJ→>' : '<prn><pers>',
	'<prn><pers><p2><mfn><pl><nom><@X>' : '<prn><pers>',
	'<prn><pers><p2><mfn><sg><acc><@X>' : '<prn><pers>',
	'<prn><pers><p2><mfn><sg><nom><@←SUBJ>' : '<prn><pers>',
	'<prn><pers><p2><mfn><sg><nom><@SUBJ→>' : '<prn><pers>',
	'<prn><pers><p2><mfn><sg><nom><@X>' : '<prn><pers>',
	'<prn><pers><p3><f><sg><acc><@X>' : '<prn><pers>',
	'<prn><pers><p3><f><sg><dat><@X>' : '<prn><pers>',
	'<prn><pers><p3><f><sg><nom><@←SUBJ>' : '<prn><pers>',
	'<prn><pers><p3><f><sg><nom><@SUBJ→>' : '<prn><pers>',
	'<prn><pers><p3><f><sg><nom><@X>' : '<prn><pers>',
	'<prn><pers><p3><mfn><pl><acc><@X>' : '<prn><pers>',
	'<prn><pers><p3><mfn><pl><dat><@X>' : '<prn><pers>',
	'<prn><pers><p3><mfn><pl><nom><@←SUBJ>' : '<prn><pers>',
	'<prn><pers><p3><mfn><pl><nom><@SUBJ→>' : '<prn><pers>',
	'<prn><pers><p3><mfn><pl><nom><@X>' : '<prn><pers>',
	'<prn><pers><p3><m><sg><acc><@X>' : '<prn><pers>',
	'<prn><pers><p3><m><sg><dat><@X>' : '<prn><pers>',
	'<prn><pers><p3><m><sg><nom><@←SUBJ>' : '<prn><pers>',
	'<prn><pers><p3><m><sg><nom><@SUBJ→>' : '<prn><pers>',
	'<prn><pers><p3><m><sg><nom><@X>' : '<prn><pers>',
	'<prn><pers><p3><nt><sg><nom><@←SUBJ>' : '<prn><pers>',
	'<prn><pers><p3><nt><sg><nom><@SUBJ→>' : '<prn><pers>',
	'<prn><pers><p3><nt><sg><nom><@X>' : '<prn><pers>',
	'<prn><pos><clt><p1><mfn><sg>' : '<prn><pos>',
	'<prn><pos><clt><p2><mfn><pl>' : '<prn><pos>',
	'<prn><pos><clt><p3><mfn><pl>' : '<prn><pos>',
	'<prn><pos><clt><p3><mfn><pl><@→N>' : '<prn><pos>',
	'<prn><pos><clt><p3><m><sg>' : '<prn><pos>',
	'<prn><pos><clt><p3><m><sg><@→N>' : '<prn><pos>',
	'<prn><pos><f><sg><def>' : '<prn><pos>',
	'<prn><pos><f><sg><def><@→N>' : '<prn><pos>',
	'<prn><pos><f><sg><ind>' : '<prn><pos>',
	'<prn><pos><f><sg><ind><@→N>' : '<prn><pos>',
	'<prn><pos><mfn><pl><def>' : '<prn><pos>',
	'<prn><pos><mfn><pl><def><@→N>' : '<prn><pos>',
	'<prn><pos><mfn><pl><ind>' : '<prn><pos>',
	'<prn><pos><mfn><pl><ind><@→N>' : '<prn><pos>',
	'<prn><pos><m><sg><def>' : '<prn><pos>',
	'<prn><pos><m><sg><def><@→N>' : '<prn><pos>',
	'<prn><pos><m><sg><ind>' : '<prn><pos>',
	'<prn><pos><m><sg><ind><@→N>' : '<prn><pos>',
	'<prn><pos><nt><sg><def>' : '<prn><pos>',
	'<prn><pos><nt><sg><def><@→N>' : '<prn><pos>',
	'<prn><pos><nt><sg><ind>' : '<prn><pos>',
	'<prn><pos><nt><sg><ind><@→N>' : '<prn><pos>',
	'<prn><ref><pers><mfn><sp><acc><@X>' : '<prn><ref><pos>',
	'<prn><ref><pers><mfn><sp><dat><@X>' : '<prn><ref><pos>',
	'<prn><ref><pos>' : '<prn><ref><pos>',
	'<prn><ref><pos><f><sg><def>' : '<prn><ref><pos>',
	'<prn><ref><pos><f><sg><def><@→N>' : '<prn><ref><pos>',
	'<prn><ref><pos><f><sg><ind>' : '<prn><ref><pos>',
	'<prn><ref><pos><f><sg><ind><@→N>' : '<prn><ref><pos>',
	'<prn><ref><pos><mfn><pl><def>' : '<prn><ref><pos>',
	'<prn><ref><pos><mfn><pl><def><@→N>' : '<prn><ref><pos>',
	'<prn><ref><pos><mfn><pl><ind>' : '<prn><ref><pos>',
	'<prn><ref><pos><mfn><pl><ind><@→N>' : '<prn><ref><pos>',
	'<prn><ref><pos><m><sg><def>' : '<prn><ref><pos>',
	'<prn><ref><pos><m><sg><def><@→N>' : '<prn><ref><pos>',
	'<prn><ref><pos><m><sg><ind>' : '<prn><ref><pos>',
	'<prn><ref><pos><m><sg><ind><@→N>' : '<prn><ref><pos>',
	'<prn><ref><pos><nt><sg><def>' : '<prn><ref><pos>',
	'<prn><ref><pos><nt><sg><def><@→N>' : '<prn><ref><pos>',
	'<prn><ref><pos><nt><sg><ind>' : '<prn><ref><pos>',
	'<prn><ref><pos><nt><sg><ind><@→N>' : '<prn><ref><pos>',
	'<prn><rel>' : '<prn><rel>',
	'<prn><rel><f><sg>' : '<prn><rel>',
	'<prn><rel><f><sg><gen>' : '<prn><rel>',
	'<prn><rel><f><sg><nom>' : '<prn><rel>',
	'<prn><rel><mfn><pl>' : '<prn><rel>',
	'<prn><rel><mfn><pl><gen>' : '<prn><rel>',
	'<prn><rel><mfn><pl><nom>' : '<prn><rel>',
	'<prn><rel><m><sg>' : '<prn><rel>',
	'<prn><rel><m><sg><acc>' : '<prn><rel>',
	'<prn><rel><m><sg><dat>' : '<prn><rel>',
	'<prn><rel><m><sg><gen>' : '<prn><rel>',
	'<prn><rel><m><sg><nom>' : '<prn><rel>',
	'<prn><rel><nt><sg>' : '<prn><rel>',
	'<prn><rel><nt><sg><gen>' : '<prn><rel>',
	'<prn><rel><nt><sg><nom>' : '<prn><rel>',
	'<prn><tot><f><sg>' : '<prn><tot>',
	'<prn><tot><f><sg><def>' : '<prn><tot>',
	'<prn><tot><f><sg><nom>' : '<prn><tot>',
	'<prn><tot><mfn><pl>' : '<prn><tot>',
	'<prn><tot><mfn><pl><def>' : '<prn><tot>',
	'<prn><tot><mfn><pl><nom>' : '<prn><tot>',
	'<prn><tot><mfn><pl><prx>' : '<prn><tot>',
	'<prn><tot><m><sg>' : '<prn><tot>',
	'<prn><tot><m><sg><acc>' : '<prn><tot>',
	'<prn><tot><m><sg><dat>' : '<prn><tot>',
	'<prn><tot><m><sg><def>' : '<prn><tot>',
	'<prn><tot><m><sg><nom>' : '<prn><tot>',
	'<prn><tot><nt><sg>' : '<prn><tot>',
	'<prn><tot><nt><sg><def>' : '<prn><tot>',
	'<prn><tot><nt><sg><dst>' : '<prn><tot>',
	'<prn><tot><nt><sg><nom>' : '<prn><tot>',
	'<prn><tot><nt><sg><prx>' : '<prn><tot>',
	'<rpar>' : '<rpar>',
	'<sent>' : '<sent>',
	'<vbhaver><aor><p2><sg>' : '<vbhaver>',
	'<vbhaver><aor><p3><sg>' : '<vbhaver>',
	'<vbhaver><lp><pii><f><sg>' : '<vbhaver>',
	'<vbhaver><lp><pii><mfn><pl>' : '<vbhaver>',
	'<vbhaver><lp><pii><m><sg>' : '<vbhaver>',
	'<vbhaver><lp><pii><nt><sg>' : '<vbhaver>',
	'<vbhaver><pii><p1><pl>' : '<vbhaver>',
	'<vbhaver><pii><p1><sg>' : '<vbhaver>',
	'<vbhaver><pii><p2><pl>' : '<vbhaver>',
	'<vbhaver><pii><p2><sg>' : '<vbhaver>',
	'<vbhaver><pii><p3><pl>' : '<vbhaver>',
	'<vbhaver><pii><p3><sg>' : '<vbhaver>',
	'<vbhaver><pprs><adv>' : '<vbhaver>',
	'<vbhaver><pres><p1><pl>' : '<vbhaver>',
	'<vbhaver><pres><p1><sg>' : '<vbhaver>',
	'<vbhaver><pres><p2><pl>' : '<vbhaver>',
	'<vbhaver><pres><p3><pl>' : '<vbhaver>',
	'<vbhaver><pres><p3><sg>' : '<vbhaver>',
	'<vblex><imperf><iv><aor><p1><pl>' : '<vblex>',
	'<vblex><imperf><iv><aor><p2><sg>' : '<vblex>',
	'<vblex><imperf><iv><aor><p3><pl>' : '<vblex>',
	'<vblex><imperf><iv><aor><p3><sg>' : '<vblex>',
	'<vblex><imperf><iv><imp><pl>' : '<vblex>',
	'<vblex><imperf><iv><imp><sg>' : '<vblex>',
	'<vblex><imperf><iv><lp><aor><f><sg>' : '<vblex>',
	'<vblex><imperf><iv><lp><aor><mfn><pl>' : '<vblex>',
	'<vblex><imperf><iv><lp><aor><m><sg>' : '<vblex>',
	'<vblex><imperf><iv><lp><aor><nt><sg>' : '<vblex>',
	'<vblex><imperf><iv><lp><pii><f><sg>' : '<vblex>',
	'<vblex><imperf><iv><lp><pii><mfn><pl>' : '<vblex>',
	'<vblex><imperf><iv><lp><pii><m><sg>' : '<vblex>',
	'<vblex><imperf><iv><lp><pii><nt><sg>' : '<vblex>',
	'<vblex><imperf><iv><pii><p1><pl>' : '<vblex>',
	'<vblex><imperf><iv><pii><p1><sg>' : '<vblex>',
	'<vblex><imperf><iv><pii><p2><pl>' : '<vblex>',
	'<vblex><imperf><iv><pii><p2><sg>' : '<vblex>',
	'<vblex><imperf><iv><pii><p3><pl>' : '<vblex>',
	'<vblex><imperf><iv><pii><p3><sg>' : '<vblex>',
	'<vblex><imperf><iv><pp><f><sg><ind>' : '<vblex>',
	'<vblex><imperf><iv><pp><mfn><pl><def>' : '<vblex>',
	'<vblex><imperf><iv><pp><mfn><pl><ind>' : '<vblex>',
	'<vblex><imperf><iv><pp><m><sg><def>' : '<vblex>',
	'<vblex><imperf><iv><pp><m><sg><ind>' : '<vblex>',
	'<vblex><imperf><iv><pp><nt><sg><ind>' : '<vblex>',
	'<vblex><imperf><iv><pprs><adv>' : '<vblex>',
	'<vblex><imperf><iv><pres><p1><pl>' : '<vblex>',
	'<vblex><imperf><iv><pres><p1><sg>' : '<vblex>',
	'<vblex><imperf><iv><pres><p2><pl>' : '<vblex>',
	'<vblex><imperf><iv><pres><p2><sg>' : '<vblex>',
	'<vblex><imperf><iv><pres><p3><pl>' : '<vblex>',
	'<vblex><imperf><iv><pres><p3><sg>' : '<vblex>',
	'<vblex><imperf><tv><aor><p1><sg>' : '<vblex>',
	'<vblex><imperf><tv><aor><p2><sg>' : '<vblex>',
	'<vblex><imperf><tv><aor><p3><pl>' : '<vblex>',
	'<vblex><imperf><tv><aor><p3><sg>' : '<vblex>',
	'<vblex><imperf><tv><imp><pl>' : '<vblex>',
	'<vblex><imperf><tv><imp><sg>' : '<vblex>',
	'<vblex><imperf><tv><lp><aor><f><sg>' : '<vblex>',
	'<vblex><imperf><tv><lp><aor><mfn><pl>' : '<vblex>',
	'<vblex><imperf><tv><lp><aor><m><sg>' : '<vblex>',
	'<vblex><imperf><tv><lp><aor><nt><sg>' : '<vblex>',
	'<vblex><imperf><tv><lp><pii><f><sg>' : '<vblex>',
	'<vblex><imperf><tv><lp><pii><mfn><pl>' : '<vblex>',
	'<vblex><imperf><tv><lp><pii><m><sg>' : '<vblex>',
	'<vblex><imperf><tv><lp><pii><nt><sg>' : '<vblex>',
	'<vblex><imperf><tv><pii><p1><pl>' : '<vblex>',
	'<vblex><imperf><tv><pii><p1><sg>' : '<vblex>',
	'<vblex><imperf><tv><pii><p2><pl>' : '<vblex>',
	'<vblex><imperf><tv><pii><p2><sg>' : '<vblex>',
	'<vblex><imperf><tv><pii><p3><pl>' : '<vblex>',
	'<vblex><imperf><tv><pii><p3><sg>' : '<vblex>',
	'<vblex><imperf><tv><pp><f><sg><def>' : '<vblex>',
	'<vblex><imperf><tv><pp><f><sg><ind>' : '<vblex>',
	'<vblex><imperf><tv><pp><mfn><pl><def>' : '<vblex>',
	'<vblex><imperf><tv><pp><mfn><pl><ind>' : '<vblex>',
	'<vblex><imperf><tv><pp><m><sg><def>' : '<vblex>',
	'<vblex><imperf><tv><pp><m><sg><ind>' : '<vblex>',
	'<vblex><imperf><tv><pp><nt><sg><def>' : '<vblex>',
	'<vblex><imperf><tv><pp><nt><sg><ind>' : '<vblex>',
	'<vblex><imperf><tv><pprs><adv>' : '<vblex>',
	'<vblex><imperf><tv><pres><p1><pl>' : '<vblex>',
	'<vblex><imperf><tv><pres><p1><sg>' : '<vblex>',
	'<vblex><imperf><tv><pres><p2><pl>' : '<vblex>',
	'<vblex><imperf><tv><pres><p2><sg>' : '<vblex>',
	'<vblex><imperf><tv><pres><p3><pl>' : '<vblex>',
	'<vblex><imperf><tv><pres><p3><sg>' : '<vblex>',
	'<vblex><perf><iv><aor><p1><pl>' : '<vblex>',
	'<vblex><perf><iv><aor><p1><sg>' : '<vblex>',
	'<vblex><perf><iv><aor><p2><pl>' : '<vblex>',
	'<vblex><perf><iv><aor><p2><sg>' : '<vblex>',
	'<vblex><perf><iv><aor><p3><pl>' : '<vblex>',
	'<vblex><perf><iv><aor><p3><sg>' : '<vblex>',
	'<vblex><perf><iv><imp><pl>' : '<vblex>',
	'<vblex><perf><iv><imp><sg>' : '<vblex>',
	'<vblex><perf><iv><lp><aor><f><sg>' : '<vblex>',
	'<vblex><perf><iv><lp><aor><mfn><pl>' : '<vblex>',
	'<vblex><perf><iv><lp><aor><m><sg>' : '<vblex>',
	'<vblex><perf><iv><lp><aor><nt><sg>' : '<vblex>',
	'<vblex><perf><iv><lp><pii><f><sg>' : '<vblex>',
	'<vblex><perf><iv><lp><pii><mfn><pl>' : '<vblex>',
	'<vblex><perf><iv><lp><pii><m><sg>' : '<vblex>',
	'<vblex><perf><iv><pii><p3><pl>' : '<vblex>',
	'<vblex><perf><iv><pii><p3><sg>' : '<vblex>',
	'<vblex><perf><iv><pp><f><sg><def>' : '<vblex>',
	'<vblex><perf><iv><pp><f><sg><ind>' : '<vblex>',
	'<vblex><perf><iv><pp><mfn><pl><def>' : '<vblex>',
	'<vblex><perf><iv><pp><mfn><pl><ind>' : '<vblex>',
	'<vblex><perf><iv><pp><m><sg><def>' : '<vblex>',
	'<vblex><perf><iv><pp><m><sg><ind>' : '<vblex>',
	'<vblex><perf><iv><pp><nt><sg><def>' : '<vblex>',
	'<vblex><perf><iv><pp><nt><sg><ind>' : '<vblex>',
	'<vblex><perf><iv><pres><p1><pl>' : '<vblex>',
	'<vblex><perf><iv><pres><p1><sg>' : '<vblex>',
	'<vblex><perf><iv><pres><p2><pl>' : '<vblex>',
	'<vblex><perf><iv><pres><p3><pl>' : '<vblex>',
	'<vblex><perf><iv><pres><p3><sg>' : '<vblex>',
	'<vblex><perf><tv><aor><p1><pl>' : '<vblex>',
	'<vblex><perf><tv><aor><p1><sg>' : '<vblex>',
	'<vblex><perf><tv><aor><p2><pl>' : '<vblex>',
	'<vblex><perf><tv><aor><p2><sg>' : '<vblex>',
	'<vblex><perf><tv><aor><p3><pl>' : '<vblex>',
	'<vblex><perf><tv><aor><p3><sg>' : '<vblex>',
	'<vblex><perf><tv><imp><pl>' : '<vblex>',
	'<vblex><perf><tv><imp><sg>' : '<vblex>',
	'<vblex><perf><tv><lp><aor><f><sg>' : '<vblex>',
	'<vblex><perf><tv><lp><aor><mfn><pl>' : '<vblex>',
	'<vblex><perf><tv><lp><aor><m><sg>' : '<vblex>',
	'<vblex><perf><tv><lp><aor><nt><sg>' : '<vblex>',
	'<vblex><perf><tv><lp><pii><f><sg>' : '<vblex>',
	'<vblex><perf><tv><lp><pii><mfn><pl>' : '<vblex>',
	'<vblex><perf><tv><lp><pii><m><sg>' : '<vblex>',
	'<vblex><perf><tv><lp><pii><nt><sg>' : '<vblex>',
	'<vblex><perf><tv><pii><p1><pl>' : '<vblex>',
	'<vblex><perf><tv><pii><p1><sg>' : '<vblex>',
	'<vblex><perf><tv><pii><p3><pl>' : '<vblex>',
	'<vblex><perf><tv><pii><p3><sg>' : '<vblex>',
	'<vblex><perf><tv><pp><f><sg><def>' : '<vblex>',
	'<vblex><perf><tv><pp><f><sg><ind>' : '<vblex>',
	'<vblex><perf><tv><pp><mfn><pl><def>' : '<vblex>',
	'<vblex><perf><tv><pp><mfn><pl><ind>' : '<vblex>',
	'<vblex><perf><tv><pp><m><sg><def>' : '<vblex>',
	'<vblex><perf><tv><pp><m><sg><ind>' : '<vblex>',
	'<vblex><perf><tv><pp><nt><sg><def>' : '<vblex>',
	'<vblex><perf><tv><pp><nt><sg><ind>' : '<vblex>',
	'<vblex><perf><tv><pres><p1><pl>' : '<vblex>',
	'<vblex><perf><tv><pres><p1><sg>' : '<vblex>',
	'<vblex><perf><tv><pres><p2><pl>' : '<vblex>',
	'<vblex><perf><tv><pres><p2><sg>' : '<vblex>',
	'<vblex><perf><tv><pres><p3><pl>' : '<vblex>',
	'<vblex><perf><tv><pres><p3><sg>' : '<vblex>',
	'<vbmod><aor><p2><sg>' : '<vbmod>',
	'<vbmod><aor><p3><pl>' : '<vbmod>',
	'<vbmod><aor><p3><sg>' : '<vbmod>',
	'<vbmod><lp><pii><f><sg>' : '<vbmod>',
	'<vbmod><lp><pii><mfn><pl>' : '<vbmod>',
	'<vbmod><lp><pii><m><sg>' : '<vbmod>',
	'<vbmod><lp><pii><nt><sg>' : '<vbmod>',
	'<vbmod><pii><p1><pl>' : '<vbmod>',
	'<vbmod><pii><p1><sg>' : '<vbmod>',
	'<vbmod><pii><p2><pl>' : '<vbmod>',
	'<vbmod><pii><p3><pl>' : '<vbmod>',
	'<vbmod><pii><p3><sg>' : '<vbmod>',
	'<vbmod><pres><p1><pl>' : '<vbmod>',
	'<vbmod><pres><p1><sg>' : '<vbmod>',
	'<vbmod><pres><p2><pl>' : '<vbmod>',
	'<vbmod><pres><p2><sg>' : '<vbmod>',
	'<vbmod><pres><p3><pl>' : '<vbmod>',
	'<vbmod><pres><p3><sg>' : '<vbmod>',
	'<vbser><imp><sg>' : '<vbser>',
	'<vbser><lp><pii><f><sg>' : '<vbser>',
	'<vbser><lp><pii><mfn><pl>' : '<vbser>',
	'<vbser><lp><pii><m><sg>' : '<vbser>',
	'<vbser><lp><pii><nt><sg>' : '<vbser>',
	'<vbser><pii><p1><pl>' : '<vbser>',
	'<vbser><pii><p1><sg>' : '<vbser>',
	'<vbser><pii><p2><sg>' : '<vbser>',
	'<vbser><pii><p3><pl>' : '<vbser>',
	'<vbser><pii><p3><sg>' : '<vbser>',
	'<vbser><pres><p1><pl>' : '<vbser>',
	'<vbser><pres><p1><sg>' : '<vbser>',
	'<vbser><pres><p2><pl>' : '<vbser>',
	'<vbser><pres><p2><sg>' : '<vbser>',
	'<vbser><pres><p3><pl>' : '<vbser>',
	'<vbser><pres><p3><sg>' : '<vbser>'
}

es_table = {

	'<adj><f><pl>' : '<adj>',
	'<adj><f><sg>' : '<adj>',
	'<adj><mf><pl>' : '<adj>',
	'<adj><mf><sg>' : '<adj>',
	'<adj><mf><sp>' : '<adj>',
	'<adj><m><pl>' : '<adj>',
	'<adj><m><sg>' : '<adj>',
	'<adj><pos><f><pl>' : '<adj><pos>',
	'<adj><pos><f><sg>' : '<adj><pos>',
	'<adj><pos><m><pl>' : '<adj><pos>',
	'<adj><pos><m><sg>' : '<adj><pos>',
	'<adj><sup><f><pl>' : '<adj>',
	'<adj><sup><f><sg>' : '<adj>',
	'<adj><sup><m><pl>' : '<adj>',
	'<adj><sup><m><sg>' : '<adj>',
	'<adv>' : '<adv>',
	'<adv><itg>' : '<adv><itg>',
	'<apos>' : '<apos>',
	'<cm>' : '<cm>',
	'<cnjadv>' : '<cnjadv>',
	'<cnjcoo>' : '<cnjcoo>',
	'<cnjsub>' : '<cnjsub>',
	'<det><def><f><pl>' : '<det><def>',
	'<det><def><f><sg>' : '<det><def>',
	'<det><def><m><pl>' : '<det><def>',
	'<det><def><m><sg>' : '<det><def>',
	'<det><def><nt><sg>' : '<det><def>',
	'<det><dem><f><pl>' : '<det><dem>',
	'<det><dem><f><sg>' : '<det><dem>',
	'<det><dem><m><pl>' : '<det><dem>',
	'<det><dem><m><sg>' : '<det><dem>',
	'<det><ind><f><pl>' : '<det><ind>',
	'<det><ind><f><sg>' : '<det><ind>',
	'<det><ind><mf><pl>' : '<det><ind>',
	'<det><ind><mf><sg>' : '<det><ind>',
	'<det><ind><mf><sp>' : '<det><ind>',
	'<det><ind><m><pl>' : '<det><ind>',
	'<det><ind><m><sg>' : '<det><ind>',
	'<det><itg><f><pl>' : '<det><itg>',
	'<det><itg><f><sg>' : '<det><itg>',
	'<det><itg><mf><sp>' : '<det><itg>',
	'<det><itg><m><pl>' : '<det><itg>',
	'<det><itg><m><sg>' : '<det><itg>',
	'<det><ord><f><pl>' : '<det><ord>',
	'<det><ord><f><sg>' : '<det><ord>',
	'<det><ord><m><pl>' : '<det><ord>',
	'<det><ord><m><sg>' : '<det><ord>',
	'<det><pos><f><pl>' : '<det><pos>',
	'<det><pos><f><sg>' : '<det><pos>',
	'<det><pos><mf><pl>' : '<det><pos>',
	'<det><pos><mf><sg>' : '<det><pos>',
	'<det><pos><m><pl>' : '<det><pos>',
	'<det><pos><m><sg>' : '<det><pos>',
	'<det><qnt><f><pl>' : '<det><qnt>',
	'<det><qnt><f><sg>' : '<det><qnt>',
	'<det><qnt><mf><pl>' : '<det><qnt>',
	'<det><qnt><mf><sg>' : '<det><qnt>',
	'<det><qnt><mf><sp>' : '<det><qnt>',
	'<det><qnt><m><pl>' : '<det><qnt>',
	'<det><qnt><m><sg>' : '<det><qnt>',
	'<guio>' : '<guio>',
	'<ij>' : '<ij>',
	'<lpar>' : '<lpar>',
	'<lquest>' : '<lquest>',
	'<mon>' : '<mon>',
	'<n><acr><f><pl>' : '<n>',
	'<n><acr><f><sg>' : '<n>',
	'<n><acr><m><sg>' : '<n>',
	'<n><f><pl>' : '<n>',
	'<n><f><sg>' : '<n>',
	'<n><f><sp>' : '<n>',
	'<n><mf><pl>' : '<n>',
	'<n><mf><sg>' : '<n>',
	'<n><mf><sp>' : '<n>',
	'<n><m><pl>' : '<n>',
	'<n><m><sg>' : '<n>',
	'<n><m><sp>' : '<n>',
	'<np><al><f><pl>' : '<np><al>',
	'<np><al><f><sg>' : '<np><al>',
	'<np><al><m><pl>' : '<np><al>',
	'<np><al><m><sg>' : '<np><al>',
	'<np><ant><f><sg>' : '<np><ant>',
	'<np><ant><m><sg>' : '<np><ant>',
	'<np><cog><mf><sg>' : '<np><cog>',
	'<np><loc><f><pl>' : '<np><loc>',
	'<np><loc><f><sg>' : '<np><loc>',
	'<np><loc><m><pl>' : '<np><loc>',
	'<np><loc><m><sg>' : '<np><loc>',
	'<num>' : '<num>',
	'<num><time>' : '<num><time>',
	'<num><f><sp>' : '<num>',
	'<num><mf><pl>' : '<num>',
	'<num><mf><sg>' : '<num>',
	'<num><mf><sp>' : '<num>',
	'<num><mon>' : '<num><mon>',
	'<num><m><sp>' : '<num>',
	'<num><ord><f><sg>' : '<num><ord>',
	'<num><ord><m><sg>' : '<num><ord>',
	'<num><percent>' : '<num><percent>',
	'<num><time>' : '<num><time>',
	'<pr>' : '<pr>',
	'<preadv>' : '<preadv>',
	'<predet><f><pl>' : '<predet>',
	'<predet><f><sg>' : '<predet>',
	'<predet><m><pl>' : '<predet>',
	'<predet><m><sg>' : '<predet>',
	'<predet><nt><sp>' : '<predet>',
	'<prn><enc><p1><mf><pl>' : '<prn><enc>',
	'<prn><enc><p1><mf><sg>' : '<prn><enc>',
	'<prn><enc><p2><mf><pl>' : '<prn><enc>',
	'<prn><enc><p2><mf><sg>' : '<prn><enc>',
	'<prn><enc><p3><f><pl>' : '<prn><enc>',
	'<prn><enc><p3><f><sg>' : '<prn><enc>',
	'<prn><enc><p3><mf><pl>' : '<prn><enc>',
	'<prn><enc><p3><mf><sg>' : '<prn><enc>',
	'<prn><enc><p3><mf><sp>' : '<prn><enc>',
	'<prn><enc><p3><m><pl>' : '<prn><enc>',
	'<prn><enc><p3><nt>' : '<prn><enc>',
	'<prn><enc><ref><p3><mf><sp>' : '<prn><enc>',
	'<prn><itg><f><pl>' : '<prn><itg>',
	'<prn><itg><f><sg>' : '<prn><itg>',
	'<prn><itg><mf><pl>' : '<prn><itg>',
	'<prn><itg><mf><sg>' : '<prn><itg>',
	'<prn><itg><m><pl>' : '<prn><itg>',
	'<prn><itg><m><sg>' : '<prn><itg>',
	'<prn><pos><f><pl>' : '<prn><pos>',
	'<prn><pos><f><sg>' : '<prn><pos>',
	'<prn><pos><m><pl>' : '<prn><pos>',
	'<prn><pos><m><sg>' : '<prn><pos>',
	'<prn><pro><p1><mf><pl>' : '<prn><pro>',
	'<prn><pro><p1><mf><sg>' : '<prn><pro>',
	'<prn><pro><p2><mf><pl>' : '<prn><pro>',
	'<prn><pro><p2><mf><sg>' : '<prn><pro>',
	'<prn><pro><p3><f><pl>' : '<prn><pro>',
	'<prn><pro><p3><f><sg>' : '<prn><pro>',
	'<prn><pro><p3><mf><pl>' : '<prn><pro>',
	'<prn><pro><p3><mf><sg>' : '<prn><pro>',
	'<prn><pro><p3><mf><sp>' : '<prn><pro>',
	'<prn><pro><p3><m><pl>' : '<prn><pro>',
	'<prn><pro><p3><m><sg>' : '<prn><pro>',
	'<prn><pro><p3><nt>' : '<prn><pro>',
	'<prn><pro><ref><p3><mf><sp>' : '<prn><pro>',
	'<prn><dem><f><pl>' : '<prn><dem>',
	'<prn><dem><f><sg>' : '<prn><dem>',
	'<prn><dem><mf><pl>' : '<prn><dem>',
	'<prn><dem><mf><sg>' : '<prn><dem>',
	'<prn><dem><mf><sp>' : '<prn><dem>',
	'<prn><dem><m><pl>' : '<prn><dem>',
	'<prn><dem><m><sg>' : '<prn><dem>',
	'<prn><dem><m><sp>' : '<prn><dem>',
	'<prn><dem><nt>' : '<prn><dem>',
	'<prn><tn><f><pl>' : '<prn><tn>',
	'<prn><tn><f><sg>' : '<prn><tn>',
	'<prn><tn><mf><pl>' : '<prn><tn>',
	'<prn><tn><mf><sg>' : '<prn><tn>',
	'<prn><tn><mf><sp>' : '<prn><tn>',
	'<prn><tn><m><pl>' : '<prn><tn>',
	'<prn><tn><m><sg>' : '<prn><tn>',
	'<prn><tn><m><sp>' : '<prn><tn>',
	'<prn><tn><nt>' : '<prn><tn>',
	'<prn><tn><p1><f><pl>' : '<prn><tn>',
	'<prn><tn><p1><mf><sg>' : '<prn><tn>',
	'<prn><tn><p1><m><pl>' : '<prn><tn>',
	'<prn><tn><p2><f><pl>' : '<prn><tn>',
	'<prn><tn><p2><mf><sg>' : '<prn><tn>',
	'<prn><tn><p2><m><pl>' : '<prn><tn>',
	'<prn><tn><p3><f><pl>' : '<prn><tn>',
	'<prn><tn><p3><f><sg>' : '<prn><tn>',
	'<prn><tn><p3><mf><pl>' : '<prn><tn>',
	'<prn><tn><p3><mf><sg>' : '<prn><tn>',
	'<prn><tn><p3><m><pl>' : '<prn><tn>',
	'<prn><tn><p3><m><sg>' : '<prn><tn>',
	'<prn><tn><ref><p3><mf><sp>' : '<prn><tn>',
	'<rel><aa><f><pl>' : '<rel><aa>',
	'<rel><aa><f><sg>' : '<rel><aa>',
	'<rel><aa><m><pl>' : '<rel><aa>',
	'<rel><aa><m><sg>' : '<rel><aa>',
	'<rel><adv>' : '<rel><adv>',
	'<rel><an><mf><sp>' : '<rel><an>',
	'<rel><an><nt>' : '<rel><an>',
	'<rel><nn><f><pl>' : '<rel><nn>',
	'<rel><nn><f><sg>' : '<rel><nn>',
	'<rel><nn><mf><pl>' : '<rel><nn>',
	'<rel><nn><mf><sg>' : '<rel><nn>',
	'<rel><nn><m><pl>' : '<rel><nn>',
	'<rel><nn><m><sg>' : '<rel><nn>',
	'<rel><nn><nt><sg>' : '<rel><nn>',
	'<rpar>' : '<rpar>',
	'<sent>' : '<sent>',
	'<vbhaver><cni><p1><pl>' : '<vbhaver>',
	'<vbhaver><cni><p3><pl>' : '<vbhaver>',
	'<vbhaver><cni><p3><sg>' : '<vbhaver>',
	'<vbhaver><fti><p1><pl>' : '<vbhaver>',
	'<vbhaver><fti><p1><sg>' : '<vbhaver>',
	'<vbhaver><fti><p2><pl>' : '<vbhaver>',
	'<vbhaver><fti><p3><pl>' : '<vbhaver>',
	'<vbhaver><fti><p3><sg>' : '<vbhaver>',
	'<vbhaver><fts><p3><pl>' : '<vbhaver>',
	'<vbhaver><fts><p3><sg>' : '<vbhaver>',
	'<vbhaver><ger>' : '<vbhaver><ger>',
	'<vbhaver><ifi><p3><pl>' : '<vbhaver>',
	'<vbhaver><ifi><p3><sg>' : '<vbhaver>',
	'<vbhaver><inf>' : '<vbhaver><inf>',
	'<vbhaver><pii><p1><pl>' : '<vbhaver>',
	'<vbhaver><pii><p2><sg>' : '<vbhaver>',
	'<vbhaver><pii><p3><pl>' : '<vbhaver>',
	'<vbhaver><pii><p3><sg>' : '<vbhaver>',
	'<vbhaver><pis><p1><pl>' : '<vbhaver>',
	'<vbhaver><pis><p3><pl>' : '<vbhaver>',
	'<vbhaver><pis><p3><sg>' : '<vbhaver>',
	'<vbhaver><pp><m><sg>' : '<vbhaver><pp>',
	'<vbhaver><pri><p1><pl>' : '<vbhaver>',
	'<vbhaver><pri><p1><sg>' : '<vbhaver>',
	'<vbhaver><pri><p2><pl>' : '<vbhaver>',
	'<vbhaver><pri><p2><sg>' : '<vbhaver>',
	'<vbhaver><pri><p3><pl>' : '<vbhaver>',
	'<vbhaver><pri><p3><sg>' : '<vbhaver>',
	'<vbhaver><prs><p1><pl>' : '<vbhaver>',
	'<vbhaver><prs><p2><sg>' : '<vbhaver>',
	'<vbhaver><prs><p3><pl>' : '<vbhaver>',
	'<vbhaver><prs><p3><sg>' : '<vbhaver>',
	'<vblex><cni><p1><pl>' : '<vblex>',
	'<vblex><cni><p2><sg>' : '<vblex>',
	'<vblex><cni><p3><pl>' : '<vblex>',
	'<vblex><cni><p3><sg>' : '<vblex>',
	'<vblex><fti><p1><pl>' : '<vblex>',
	'<vblex><fti><p1><sg>' : '<vblex>',
	'<vblex><fti><p2><pl>' : '<vblex>',
	'<vblex><fti><p2><sg>' : '<vblex>',
	'<vblex><fti><p3><pl>' : '<vblex>',
	'<vblex><fti><p3><sg>' : '<vblex>',
	'<vblex><fts><p1><pl>' : '<vblex>',
	'<vblex><fts><p2><sg>' : '<vblex>',
	'<vblex><fts><p3><pl>' : '<vblex>',
	'<vblex><fts><p3><sg>' : '<vblex>',
	'<vblex><ger>' : '<vblex><ger>',
	'<vblex><ifi><p1><pl>' : '<vblex>',
	'<vblex><ifi><p1><sg>' : '<vblex>',
	'<vblex><ifi><p2><pl>' : '<vblex>',
	'<vblex><ifi><p2><sg>' : '<vblex>',
	'<vblex><ifi><p3><pl>' : '<vblex>',
	'<vblex><ifi><p3><sg>' : '<vblex>',
	'<vblex><imp><p1><pl>' : '<vblex>',
	'<vblex><imp><p2><pl>' : '<vblex>',
	'<vblex><imp><p2><sg>' : '<vblex>',
	'<vblex><imp><p3><pl>' : '<vblex>',
	'<vblex><imp><p3><sg>' : '<vblex>',
	'<vblex><inf>' : '<vblex><inf>',
	'<vblex><pii><p1><pl>' : '<vblex>',
	'<vblex><pii><p2><pl>' : '<vblex>',
	'<vblex><pii><p2><sg>' : '<vblex>',
	'<vblex><pii><p3><pl>' : '<vblex>',
	'<vblex><pii><p3><sg>' : '<vblex>',
	'<vblex><pis><p1><pl>' : '<vblex>',
	'<vblex><pis><p2><pl>' : '<vblex>',
	'<vblex><pis><p2><sg>' : '<vblex>',
	'<vblex><pis><p3><pl>' : '<vblex>',
	'<vblex><pis><p3><sg>' : '<vblex>',
	'<vblex><pp><f><pl>' : '<vblex><pp>',
	'<vblex><pp><f><sg>' : '<vblex><pp>',
	'<vblex><pp><m><pl>' : '<vblex><pp>',
	'<vblex><pp><m><sg>' : '<vblex><pp>',
	'<vblex><pri><p1><pl>' : '<vblex>',
	'<vblex><pri><p1><sg>' : '<vblex>',
	'<vblex><pri><p2><pl>' : '<vblex>',
	'<vblex><pri><p2><sg>' : '<vblex>',
	'<vblex><pri><p3><pl>' : '<vblex>',
	'<vblex><pri><p3><sg>' : '<vblex>',
	'<vblex><pron><cni><p1><pl>' : '<vblex><pron>',
	'<vblex><pron><cni><p2><pl>' : '<vblex><pron>',
	'<vblex><pron><cni><p3><pl>' : '<vblex><pron>',
	'<vblex><pron><cni><p3><sg>' : '<vblex><pron>',
	'<vblex><pron><fti><p1><pl>' : '<vblex><pron>',
	'<vblex><pron><fti><p1><sg>' : '<vblex><pron>',
	'<vblex><pron><fti><p3><pl>' : '<vblex><pron>',
	'<vblex><pron><fti><p3><sg>' : '<vblex><pron>',
	'<vblex><pron><ger>' : '<vblex><pron>',
	'<vblex><pron><ifi><p1><pl>' : '<vblex><pron>',
	'<vblex><pron><ifi><p1><sg>' : '<vblex><pron>',
	'<vblex><pron><ifi><p3><pl>' : '<vblex><pron>',
	'<vblex><pron><ifi><p3><sg>' : '<vblex><pron>',
	'<vblex><pron><imp><p1><pl>' : '<vblex><pron>',
	'<vblex><pron><imp><p2><pl>' : '<vblex><pron>',
	'<vblex><pron><imp><p2><sg>' : '<vblex><pron>',
	'<vblex><pron><imp><p3><pl>' : '<vblex><pron>',
	'<vblex><pron><imp><p3><sg>' : '<vblex><pron>',
	'<vblex><pron><inf>' : '<vblex><pron>',
	'<vblex><pron><pii><p1><pl>' : '<vblex><pron>',
	'<vblex><pron><pii><p3><pl>' : '<vblex><pron>',
	'<vblex><pron><pii><p3><sg>' : '<vblex><pron>',
	'<vblex><pron><pis><p1><pl>' : '<vblex><pron>',
	'<vblex><pron><pis><p3><pl>' : '<vblex><pron>',
	'<vblex><pron><pis><p3><sg>' : '<vblex><pron>',
	'<vblex><pron><pp><f><pl>' : '<vblex><pron>',
	'<vblex><pron><pp><f><sg>' : '<vblex><pron>',
	'<vblex><pron><pp><m><pl>' : '<vblex><pron>',
	'<vblex><pron><pp><m><sg>' : '<vblex><pron>',
	'<vblex><pron><pri><p1><pl>' : '<vblex><pron>',
	'<vblex><pron><pri><p1><sg>' : '<vblex><pron>',
	'<vblex><pron><pri><p2><sg>' : '<vblex><pron>',
	'<vblex><pron><pri><p3><pl>' : '<vblex><pron>',
	'<vblex><pron><pri><p3><sg>' : '<vblex><pron>',
	'<vblex><pron><prs><p1><pl>' : '<vblex><pron>',
	'<vblex><pron><prs><p2><sg>' : '<vblex><pron>',
	'<vblex><pron><prs><p3><pl>' : '<vblex><pron>',
	'<vblex><pron><prs><p3><sg>' : '<vblex><pron>',
	'<vblex><prs><p1><pl>' : '<vblex>',
	'<vblex><prs><p2><pl>' : '<vblex>',
	'<vblex><prs><p2><sg>' : '<vblex>',
	'<vblex><prs><p3><pl>' : '<vblex>',
	'<vblex><prs><p3><sg>' : '<vblex>',
	'<vbmod><cni><p1><pl>' : '<vbmod>',
	'<vbmod><cni><p2><pl>' : '<vbmod>',
	'<vbmod><cni><p2><sg>' : '<vbmod>',
	'<vbmod><cni><p3><pl>' : '<vbmod>',
	'<vbmod><cni><p3><sg>' : '<vbmod>',
	'<vbmod><fti><p1><pl>' : '<vbmod>',
	'<vbmod><fti><p1><sg>' : '<vbmod>',
	'<vbmod><fti><p2><pl>' : '<vbmod>',
	'<vbmod><fti><p2><sg>' : '<vbmod>',
	'<vbmod><fti><p3><pl>' : '<vbmod>',
	'<vbmod><fti><p3><sg>' : '<vbmod>',
	'<vbmod><fts><p1><pl>' : '<vbmod>',
	'<vbmod><fts><p3><sg>' : '<vbmod>',
	'<vbmod><ger>' : '<vbmod><ger>',
	'<vbmod><ifi><p1><pl>' : '<vbmod>',
	'<vbmod><ifi><p1><sg>' : '<vbmod>',
	'<vbmod><ifi><p2><pl>' : '<vbmod>',
	'<vbmod><ifi><p3><pl>' : '<vbmod>',
	'<vbmod><ifi><p3><sg>' : '<vbmod>',
	'<vbmod><imp><p1><pl>' : '<vbmod>',
	'<vbmod><imp><p2><pl>' : '<vbmod>',
	'<vbmod><imp><p2><sg>' : '<vbmod>',
	'<vbmod><imp><p3><pl>' : '<vbmod>',
	'<vbmod><imp><p3><sg>' : '<vbmod>',
	'<vbmod><inf>' : '<vbmod><inf>',
	'<vbmod><pii><p1><pl>' : '<vbmod>',
	'<vbmod><pii><p2><pl>' : '<vbmod>',
	'<vbmod><pii><p2><sg>' : '<vbmod>',
	'<vbmod><pii><p3><pl>' : '<vbmod>',
	'<vbmod><pii><p3><sg>' : '<vbmod>',
	'<vbmod><pis><p1><pl>' : '<vbmod>',
	'<vbmod><pis><p3><pl>' : '<vbmod>',
	'<vbmod><pis><p3><sg>' : '<vbmod>',
	'<vbmod><pp><f><pl>' : '<vbmod><pp>',
	'<vbmod><pp><f><sg>' : '<vbmod><pp>',
	'<vbmod><pp><m><pl>' : '<vbmod><pp>',
	'<vbmod><pp><m><sg>' : '<vbmod><pp>',
	'<vbmod><pri><p1><pl>' : '<vbmod>',
	'<vbmod><pri><p1><sg>' : '<vbmod>',
	'<vbmod><pri><p2><pl>' : '<vbmod>',
	'<vbmod><pri><p2><sg>' : '<vbmod>',
	'<vbmod><pri><p3><pl>' : '<vbmod>',
	'<vbmod><pri><p3><sg>' : '<vbmod>',
	'<vbmod><prs><p1><pl>' : '<vbmod>',
	'<vbmod><prs><p2><pl>' : '<vbmod>',
	'<vbmod><prs><p2><sg>' : '<vbmod>',
	'<vbmod><prs><p3><pl>' : '<vbmod>',
	'<vbmod><prs><p3><sg>' : '<vbmod>',
	'<vbser><cni><p1><pl>' : '<vbser>',
	'<vbser><cni><p2><pl>' : '<vbser>',
	'<vbser><cni><p3><pl>' : '<vbser>',
	'<vbser><cni><p3><sg>' : '<vbser>',
	'<vbser><fti><p1><pl>' : '<vbser>',
	'<vbser><fti><p1><sg>' : '<vbser>',
	'<vbser><fti><p2><pl>' : '<vbser>',
	'<vbser><fti><p2><sg>' : '<vbser>',
	'<vbser><fti><p3><pl>' : '<vbser>',
	'<vbser><fti><p3><sg>' : '<vbser>',
	'<vbser><fts><p3><pl>' : '<vbser>',
	'<vbser><fts><p3><sg>' : '<vbser>',
	'<vbser><ger>' : '<vbser><ger>',
	'<vbser><ifi><p1><pl>' : '<vbser>',
	'<vbser><ifi><p1><sg>' : '<vbser>',
	'<vbser><ifi><p3><pl>' : '<vbser>',
	'<vbser><ifi><p3><sg>' : '<vbser>',
	'<vbser><imp><p2><pl>' : '<vbser>',
	'<vbser><imp><p2><sg>' : '<vbser>',
	'<vbser><imp><p3><pl>' : '<vbser>',
	'<vbser><imp><p3><sg>' : '<vbser>',
	'<vbser><inf>' : '<vbser><inf>',
	'<vbser><pii><p1><pl>' : '<vbser>',
	'<vbser><pii><p2><sg>' : '<vbser>',
	'<vbser><pii><p3><pl>' : '<vbser>',
	'<vbser><pii><p3><sg>' : '<vbser>',
	'<vbser><pis><p1><pl>' : '<vbser>',
	'<vbser><pis><p2><sg>' : '<vbser>',
	'<vbser><pis><p3><pl>' : '<vbser>',
	'<vbser><pis><p3><sg>' : '<vbser>',
	'<vbser><pp><m><sg>' : '<vbser><pp>',
	'<vbser><pri><p1><pl>' : '<vbser>',
	'<vbser><pri><p1><sg>' : '<vbser>',
	'<vbser><pri><p2><pl>' : '<vbser>',
	'<vbser><pri><p2><sg>' : '<vbser>',
	'<vbser><pri><p3><pl>' : '<vbser>',
	'<vbser><pri><p3><sg>' : '<vbser>',
	'<vbser><prs><p1><pl>' : '<vbser>',
	'<vbser><prs><p2><sg>' : '<vbser>',
	'<vbser><prs><p3><pl>' : '<vbser>',
	'<vbser><prs><p3><sg>' : '<vbser>',
	'<web>' : '<web>'
}

en_table = {
	'<adj>' : '<adj>',
	'<adj><comp>' : '<adj>',
	'<adj><pos>' : '<adj><pos>',
	'<adj><sint>' : '<adj>',
	'<adj><sint><comp>' : '<adj>',
	'<adj><sint><sup>' : '<adj>',
	'<adj><sup>' : '<adj>',
	'<adj><ord>' : '<ord>',
	'<adv>' : '<adv>',
	'<adv><itg>' : '<adv><itg>',
	'<apos>' : '<apos>',
	'<cm>' : '<cm>',
	'<cnjadv>' : '<cnjadv>',
	'<cnjcoo>' : '<cnjcoo>',
	'<cnjsub>' : '<cnjsub>',
	'<det><def><sp>' : '<def><def>',
	'<det><dem><pl>' : '<det><dem>',
	'<det><dem><sg>' : '<det><dem>',
	'<det><ind><pl>' : '<det><ind>',
	'<det><ind><sg>' : '<det><ind>',
	'<det><ind><sp>' : '<det><ind>',
	'<det><itg><pl>' : '<det><itg>',
	'<det><itg><sg>' : '<det><itg>',
	'<det><itg><sp>' : '<det><itg>',
	'<det><ord><sp>' : '<det><ord>',
	'<det><pos><sp>' : '<det><pos>',
	'<det><qnt><pl>' : '<det><qnt>',
	'<det><qnt><sg>' : '<det><qnt>',
	'<det><qnt><sp>' : '<det><qnt>',
	'<gen>' : '<gen>',
	'<guio>' : '<guio>',
	'<ij>' : '<ij>',
	'<lpar>' : '<lpar>',
	'<lquest>' : '<lquest>',
	'<mon>' : '<mon>',
	'<n><acr><sg>' : '<n>',
	'<np><org><pl>' : '<np><org>',
	'<np><org><sp>' : '<np><org>',
	'<np><org><sg>' : '<np><org>',
	'<np><al><pl>' : '<np>',
	'<np><al><sg>' : '<np>',
	'<np><ant><f><sg>' : '<np><ant>',
	'<np><ant><mf><sg>' : '<np><ant>',
	'<np><ant><m><sg>' : '<np><ant>',
	'<np><cog><pl>' : '<np><cog>',
	'<np><cog><sg>' : '<np><cog>',
	'<n><pl>' : '<n>',
	'<np><loc><pl>' : '<np><loc>',
	'<np><loc><sg>' : '<np><loc>',
	'<np><top><pl>' : '<np><top>',
	'<np><top><sg>' : '<np><top>',
	'<n><sg>' : '<n>',
	'<num>' : '<num>',
	'<num><time>' : '<num><time>',
	'<num><mf><sg>' : '<num>',
	'<num><ord>' : '<num><ord>',
	'<num><percent>' : '<num><percent>',
	'<num><pl>' : '<num>',
	'<num><sg>' : '<num>',
	'<num><sp>' : '<num>',
	'<pr>' : '<pr>',
	'<preadv>' : '<preadv>',
	'<predet><sp>' : '<predet>',
	'<prn><itg><mf><pl>' : '<prn><itg>',
	'<prn><itg><mf><sg>' : '<prn><itg>',
	'<prn><itg><mf><sp>' : '<prn><itg>',
	'<prn><itg><m><sg>' : '<prn><itg>',
	'<prn><itg><m><sp>' : '<prn><itg>',
	'<prn><obj><p1><mf><pl>' : '<prn><obj>',
	'<prn><obj><p1><mf><sg>' : '<prn><obj>',
	'<prn><obj><p2><mf><sp>' : '<prn><obj>',
	'<prn><obj><p3><f><sg>' : '<prn><obj>',
	'<prn><obj><p3><mf><pl>' : '<prn><obj>',
	'<prn><obj><p3><m><sg>' : '<prn><obj>',
	'<prn><obj><p3><nt><sg>' : '<prn><obj>',
	'<prn><pos><mf><sp>' : '<prn><pos>',
	'<prn><ref><p1><mf><pl>' : '<prn><ref>',
	'<prn><ref><p1><mf><sg>' : '<prn><ref>',
	'<prn><ref><p2><mf><pl>' : '<prn><ref>',
	'<prn><ref><p2><mf><sg>' : '<prn><ref>',
	'<prn><ref><p3><f><sg>' : '<prn><ref>',
	'<prn><ref><p3><mf><pl>' : '<prn><ref>',
	'<prn><ref><p3><m><sg>' : '<prn><ref>',
	'<prn><ref><p3><nt><sg>' : '<prn><ref>',
	'<prn><subj><p1><mf><pl>' : '<prn><subj>',
	'<prn><subj><p1><mf><sg>' : '<prn><subj>',
	'<prn><subj><p2><mf><sp>' : '<prn><subj>',
	'<prn><subj><p3><f><sg>' : '<prn><subj>',
	'<prn><subj><p3><mf><pl>' : '<prn><subj>',
	'<prn><subj><p3><m><sg>' : '<prn><subj>',
	'<prn><subj><p3><nt><sg>' : '<prn><subj>',
	'<prn><tn><mf><pl>' : '<prn><tn>',
	'<prn><tn><mf><sg>' : '<prn><tn>',
	'<prn><tn><mf><sp>' : '<prn><tn>',
	'<prn><tn><m><sg>' : '<prn><tn>',
	'<prn><tn><nt><sg>' : '<prn><tn>',

	'<prn><ind><f><pl>' : '<prn><ind>',
	'<prn><ind><f><sg>' : '<prn><ind>',
	'<prn><ind><mf><pl>' : '<prn><ind>',
	'<prn><ind><mf><sg>' : '<prn><ind>',
	'<prn><ind><mf><sp>' : '<prn><ind>',
	'<prn><ind><m><pl>' : '<prn><ind>',
	'<prn><ind><m><sg>' : '<prn><ind>',
	'<prn><ind><m><sp>' : '<prn><ind>',
	'<prn><ind><nt>' : '<prn><ind>',
	'<prn><ind><nt><sg>' : '<prn><ind>',

	'<prn><qnt><f><pl>' : '<prn><qnt>',
	'<prn><qnt><f><sg>' : '<prn><qnt>',
	'<prn><qnt><mf><pl>' : '<prn><qnt>',
	'<prn><qnt><mf><sg>' : '<prn><qnt>',
	'<prn><qnt><mf><sp>' : '<prn><qnt>',
	'<prn><qnt><m><pl>' : '<prn><qnt>',
	'<prn><qnt><m><sg>' : '<prn><qnt>',
	'<prn><qnt><m><sp>' : '<prn><qnt>',
	'<prn><qnt><nt>' : '<prn><qnt>',

	'<abbr>' : '<abbr>',
	'<prn><dem><f><pl>' : '<prn><dem>',
	'<prn><dem><f><sg>' : '<prn><dem>',
	'<prn><dem><mf><pl>' : '<prn><dem>',
	'<prn><dem><mf><sg>' : '<prn><dem>',
	'<prn><dem><mf><sp>' : '<prn><dem>',
	'<prn><dem><m><pl>' : '<prn><dem>',
	'<prn><dem><m><sg>' : '<prn><dem>',
	'<prn><dem><m><sp>' : '<prn><dem>',
	'<prn><dem><nt>' : '<prn><dem>',

	'<rel><aa><mf><sp>' : '<rel><aa>',
	'<rel><adv>' : '<rel><adv>',
	'<rel><an><mf><sp>' : '<rel><an>',
	'<rel><nn><mf><pl>' : '<rel><nn>',
	'<rel><nn><mf><sg>' : '<rel><nn>',
	'<rel><nn><mf><sp>' : '<rel><nn>',
	'<rpar>' : '<rpar>',
	'<sent>' : '<sent>',
	'<vaux><inf>' : '<vaux><inf>',
	'<vaux><past>' : '<vaux>',
	'<vaux><pres>' : '<vaux>',
	'<vbdo><past>' : '<vbdo>',
	'<vbdo><pres>' : '<vbdo>',
	'<vbdo><pri><p3><sg>' : '<vbdo>',
	'<vbdo><pres><p3><sg>' : '<vbdo>',
	'<vbhaver><ger>' : '<vbhaver><ger>',
	'<vbhaver><inf>' : '<vbhaver><inf>',
	'<vbhaver><past>' : '<vbhaver>',
	'<vbhaver><pres>' : '<vbhaver>',
	'<vbhaver><pri><p3><sg>' : '<vbhaver>',
	'<vbhaver><pres><p3><sg>' : '<vbhaver>',
	'<vblex><ger>' : '<vblex><ger>',
	'<vblex><inf>' : '<vblex><inf>',
	'<vblex><past>' : '<vblex>',
	'<vblex><past><p3><sg>' : '<vblex>',
	'<vblex><pp>' : '<vblex><pp>',
	'<vblex><pres>' : '<vblex>',
	'<vblex><pri><p1><sg>' : '<vblex>',
	'<vblex><pres><p1><sg>' : '<vblex>',
	'<vblex><pri><p3><sg>' : '<vblex>',
	'<vblex><pres><p3><sg>' : '<vblex>',
	'<vblex><sep><ger>' : '<vblex><ger>',
	'<vblex><sep><inf>' : '<vblex><inf>',
	'<vblex><sep><past>' : '<vblex>',
	'<vblex><sep><pp>' : '<vblex><pp>',
	'<vblex><sep><pres>' : '<vblex>',
	'<vblex><sep><pri><p3><sg>' : '<vblex>',
	'<vblex><sep><pres><p3><sg>' : '<vblex>',
	'<vbmod><ger>' : '<vbmod><ger>',
	'<vbmod><inf>' : '<vbmod><inf>',
	'<vbmod><past>' : '<vbmod>',
	'<vbmod><pp>' : '<vbmod><pp>',
	'<vbmod><pres>' : '<vbmod>',
	'<vbmod><pri><p3><sg>' : '<vbmod>',
	'<vbmod><pres><p3><sg>' : '<vbmod>',
	'<vbser><ger>' : '<vbser><ger>',
	'<vbser><inf>' : '<vbser><inf>',
	'<vbser><past>' : '<vbser>',
	'<vbser><past><p1><sg>' : '<vbser>',
	'<vbser><past><p3><sg>' : '<vbser>',
	'<vbser><pp>' : '<vbser><pp>',
	'<vbser><pres>' : '<vbser>',
	'<vbser><pri><p1><sg>' : '<vbser>',
	'<vbser><pres><p1><sg>' : '<vbser>',
	'<vbser><pri><p3><sg>' : '<vbser>',
	'<vbser><pres><p3><sg>' : '<vbser>',
	'<web>' : '<web>',
}

sme_table = {
	'<ShCmp>':'<ShCmp>',
	'<Cmp>':'<Cmp>',
	'<V><TV>':'<V><TV>',
	'<V><IV>':'<V><IV>',
	'<V><TV><Inf>':'<V><TV><Inf>',
	'<V><IV><Inf>':'<V><IV><Inf>',
	'<V><TV><Ger>':'<V><TV><Ger>',
	'<V><IV><Ger>':'<V><IV><Ger>',
	'<V><TV><Actio>':'<V><TV><Actio>',
	'<V><IV><Actio>':'<V><IV><Actio>',
	'<V><TV><PrfPrc>':'<V><TV><PrfPrc>',
	'<V><IV><PrfPrc>':'<V><IV><PrfPrc>',
	'<V><TV><PrsPrc>':'<V><TV><PrsPrc>',
	'<V><IV><PrsPrc>':'<V><IV><PrsPrc>',
	'<V>':'<V>',
	'<N>':'<N>',
	'<N><ACR>':'<N><ACR>',
	'<N><Prop>':'<N><Prop>',
	'<N><Prop><Obj>':'<N><Prop><Obj>',
	'<N><Prop><Sur>':'<N><Prop><Sur>',
	'<N><Prop><Fem>':'<N><Prop><Fem>',
	'<N><Prop><Mal>':'<N><Prop><Mal>',
	'<N><Prop><Org>':'<N><Prop><Org>',
	'<N><Prop><Org>':'<N><Prop><Plc>',
	'<A>':'<A>',
	'<CC>':'<CC>',
	'<CS>':'<CS>',
	'<Pcle>':'<Pcle>',
	'<Qst>':'<Qst>',
	'<Adv>':'<Adv>',
	'<Interj>':'<Interj>',
	'<Adp>':'<Adp>',
	'<Po>':'<Po>',
	'<Pr>':'<Pr>',
	'<Pron>':'<Pron>',
	'<Pron><Interr>':'<Pron><Interr>',
	'<Pron><Rel>':'<Pron><Rel>',
	'<Pron><Refl>':'<Pron><Refl>',
	'<Pron><Indef>':'<Pron><Indef>',
	'<Pron><Recipr>':'<Pron><Recipr>',
	'<Pron><Dem>':'<Pron><Dem>',
	'<Num>':'<Num>',
	'<CLB>':'<CLB>',
}

nob_table = {

	'<abbr>' : '<abbr>',
	'<adj>' : '<adj>',
	'<adv>' : '<adv>',
	'<apos>' : '<apos>',
	'<cm>' : '<cm>',
	'<cnjcoo>' : '<cnjcoo>',
	'<cnjsub>' : '<cnjsub>',
	'<guio>' : '<guio>',
	'<ij>' : '<ij>',
	'<lpar>' : '<lpar>',
	'<n>' : '<n>',
	'<np>' : '<np>',
	'<num>' : '<num>',
	'<part>' : '<part>',
	'<pr>' : '<pr>',
	'<pref>' : '<pref>',
	'<det>' : '<det>',
	'<prn>' : '<prn>',
	'<rpar>' : '<rpar>',
	'<sent>' : '<sent>',
	'<vbhaver>' : '<vbhaver>',
	'<vblex>' : '<vblex>',
	'<vbmod>' : '<vbmod>',
	'<vbser>' : '<vbser>',
}

parser = argparse.ArgumentParser()
parser.add_argument('lang', choices=['en', 'es', 'mk', 'sh', 'sme', 'nob'])
args = parser.parse_args()

table = {
	'en': en_table,
	'es': es_table,
	'mk': mk_table,
	'sh': sh_table,
	'sme': sme_table,
	'nob': nob_table,
}[args.lang]

def in_table(tags):
	"""Assumes any tag sequence not in `table' can be shortened to
	one there."""
	global table
	if tags in table:
		return table[tags]
	else:
		ltag = tags.split('><')
		for i in range(len(ltag)-1, 0, -1):
			shorter = '><'.join(ltag[0:i])+'>'
			if shorter in table:
				table[tags]=table[shorter] # cache it
				return table[shorter]
	print(tags, file=sys.stderr)
	return tags
	# raise Exception("Unknown tagging!")

def processWord():
	lemma = ''
	tags = ''
	c = sys.stdin.read(1)
	while c != '<':
		if c == '*':
			while c and c != '$':
				lemma += c
				c = sys.stdin.read(1)
			sys.stdout.write(lemma.replace(' ', '~') + ' ')
			return
		lemma += c
		c = sys.stdin.read(1)
	while c != '$':
		tags += c
		c = sys.stdin.read(1)
	sys.stdout.write(lemma.replace(' ', '~') + in_table(tags, table) + ' ')

c = sys.stdin.read(1)
while c:
	# Beginning of a lexical unit
	if c == '^':
		processWord()
	if c == '[':
		while c and c != ']':
			if c == '\n':
				sys.stdout.write('\n')
			c = sys.stdin.read(1)
	# Newline is newline
	if c == '\n':
		sys.stdout.write('\n')
	c = sys.stdin.read(1)
